## gambas3 3.20.4

=== Makefile ===
# Makefile for video-capture

VERSION=0.2
FILES=Makefile README index.html video_device.h video_device.c video-capture.c tlphoto.pl
DIST_LOC=slim.tull.net:/var/www/www.nick-andrew.net/projects/video-capture

CFLAGS=-DHAVE_LIBJPEG
LDFLAGS=-ljpeg

all:	video-capture

release:	.release

.release:	index.html tlphoto.pl README video-capture-$(VERSION).tar.gz
	$(MAKE) upload
	touch .release

upload:
	rsync -v -a -e ssh index.html tlphoto.pl README video-capture-$(VERSION).tar.gz $(DIST_LOC)/

README:		index.html
	lynx -dump index.html > README

video-capture:	video-capture.o video_device.o
video-capture.o:	video_device.h video-capture.c
video_device.o:	video_device.h video_device.c

video-capture-$(VERSION).tar.gz:	$(FILES)
	tar zcvf video-capture-$(VERSION).tar.gz $(FILES)

## gambas3 3.1.1

=== debian/changelog ===
gambas3 (3.1.1-2.2ubuntu4) trusty; urgency=medium

  * Rebuild for the new poppler soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 22 Jan 2014 22:42:45 +0100

gambas3 (3.1.1-2.2ubuntu3) trusty; urgency=medium

  * No change rebuild against glew 1.10.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 02 Jan 2014 13:21:21 +0000

gambas3 (3.1.1-2.2ubuntu2) trusty; urgency=low

  * Drop libsqlite0-dev dependency.
  * Drop gambas3-gb-db-sqlite2.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sat, 07 Dec 2013 16:38:54 +0000

gambas3 (3.1.1-2.2ubuntu1) trusty; urgency=low

  * Resynchronise with Debian, remaining change:
    - Employ dirty hack to special-case glIsEnabled(GL_LIGHTING) to avoid
      compile errors with GLES, which doesn't have it.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 26 Nov 2013 17:52:23 +0000

gambas3 (3.1.1-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Backport upstream r4730, r4731, and r4732 to fix compatibility with
    Poppler >= 0.20.x (Closes: #679885)

 -- Pino Toscano <pino@debian.org>  Tue, 23 Jul 2013 11:32:16 +0200

gambas3 (3.1.1-2.1) unstable; urgency=low

  [ Sebastian Ramacher ]
  * Non-maintainer upload.
  * Fix FTBFS with eglibc-2.7. (Closes: #701393)

  [ Dmitrijs Ledkovs ]
  * Non-maintainer upload

 -- Dmitrijs Ledkovs <xnox@debian.org>  Tue, 04 Jun 2013 23:16:32 +0100

gambas3 (3.1.1-2) unstable; urgency=low

  * debian/control:
   - Removed hardcoded dependency on libglew1.5 (Closes: #674080)
   - Replaced libpoppler-dev by libpoppler-private-dev build
     dependency (Closes: #673746)
   - Fine tuning some build dependencies trying to compile in freebsd archs

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Thu, 24 May 2012 13:00:18 +0200

gambas3 (3.1.1-1) unstable; urgency=low

  * First upload to Debian of gambas3 (Closes: #654424)

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Fri, 04 May 2012 18:21:24 +0200
 

=== debian/control ===
Source: gambas3
Section: devel
Priority: optional
Homepage: http://gambas.sourceforge.net
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gambas Debian Maintainers <pkg-gambas-devel@lists.alioth.debian.org> 
Uploaders: Ian Haywood <ian@haywood.id.au>, David Paleino <dapal@debian.org>, José L. Redrejo Rodríguez <jredrejo@debian.org>
Build-Depends: debhelper (>> 7), dh-autoreconf, libpq-dev, libv4l-dev [linux-any], libcam-dev [kfreebsd-any], libmysqlclient-dev, libbz2-dev, libglew-dev, libqt4-dev, libqt4-opengl-dev, libcurl4-openssl-dev, libsdl-mixer1.2-dev, libxml2-dev, libxslt1-dev, kdelibs5-dev, libssl-dev, zlib1g-dev, unixodbc-dev, libsqlite3-dev, libgtk2.0-dev, libxt-dev, pkg-config, mesa-common-dev, libsdl-sound1.2-dev, libsdl-image1.2-dev, libsdl-gfx1.2-dev, libsdl-ttf2.0-dev, libpcre3-dev, libsdl1.2-dev, libjpeg-dev, libpng12-dev, libpoppler-private-dev, libimlib2-dev, librsvg2-dev, bzip2, gettext, libxtst-dev, libffi-dev, libdbus-1-dev, libgnome-keyring-dev, libgtkglext1-dev, linux-libc-dev [linux-any], libc0.1 [kfreebsd-any], libqtwebkit-dev
Standards-Version: 3.9.3

Package: gambas3
Architecture: all
Section: devel
Depends: ${misc:Depends}, gambas3-gb-cairo (>= ${binary:Version}), gambas3-gb-dbus (>= ${binary:Version}), gambas3-examples (>= ${binary:Version}), gambas3-gb-form-stock (>= ${binary:Version}), gambas3-gb-chart (>= ${binary:Version}), gambas3-gb-compress-bzlib2 (>= ${binary:Version}), gambas3-gb-compress-zlib (>= ${binary:Version}), gambas3-gb-crypt (>= ${binary:Version}), gambas3-gb-db-form (>= ${binary:Version}), gambas3-gb-db-mysql (>= ${binary:Version}), gambas3-gb-db-postgresql (>= ${binary:Version}), gambas3-gb-db-odbc (>= ${binary:Version}), gambas3-gb-db-sqlite3 (>= ${binary:Version}), gambas3-gb-desktop (>= ${binary:Version}), gambas3-gb-form-dialog (>= ${binary:Version}), gambas3-gb-form-mdi (>= ${binary:Version}), gambas3-gb-gui (>= ${binary:Version}), gambas3-gb-image-effect (>= ${binary:Version}), gambas3-gb-image-imlib (>= ${binary:Version}), gambas3-gb-image-io (>= ${binary:Version}), gambas3-gb-net-curl (>= ${binary:Version}), gambas3-gb-net-smtp (>= ${binary:Version}), gambas3-gb-opengl-glsl (>= ${binary:Version}), gambas3-gb-opengl-glu (>= ${binary:Version}), gambas3-gb-pcre (>= ${binary:Version}), gambas3-gb-pdf (>= ${binary:Version}), gambas3-gb-qt4-ext (>= ${binary:Version}), gambas3-gb-qt4-webkit (>= ${binary:Version}), gambas3-gb-qt4-opengl, gambas3-gb-report (>= ${binary:Version}), gambas3-gb-sdl-sound (>= ${binary:Version}), gambas3-gb-settings (>= ${binary:Version}), gambas3-gb-vb, gambas3-gb-v4l (>= ${binary:Version}), gambas3-gb-web, gambas3-gb-xml-rpc (>= ${binary:Version}), gambas3-gb-xml-xslt (>= ${binary:Version}), gambas3-ide (>= ${binary:Version}), gambas3-gb-mysql (>= ${binary:Version}), gambas3-gb-option (>= ${binary:Version})
Description: Complete visual development environment for Gambas
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 With Gambas, you can quickly design your program GUI, access MySQL or
 PostgreSQL databases, pilot KDE applications with DCOP, translate your
 program into many languages, and so on...
 .
 This package doesn't include anything: it is a metapackage to install the
 IDE and all the available gambas components...

Package: gambas3-dev
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}, gambas3-runtime (>= ${binary:Version})
Description: Gambas compilation tools
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package includes the gambas compiler, archiver and informer.

Package: gambas3-gb-cairo
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}, gambas3-gb-image (>= ${binary:Version})
Description: Gambas bindings for cairo
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package includes Gambas bindings for cairo.

Package: gambas3-gb-dbus
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}, gambas3-runtime (>= ${binary:Version})
Description: Gambas bindings for DBUS
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package includes Gambas bindings for the DBUS system.

Package: gambas3-gb-form-stock
Architecture: all
Section: devel
Depends: ${misc:Depends}, gambas3-gb-form (>= ${binary:Version})
Description: Gambas form stock icons
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package includes support for stock form icons.

Package: gambas3-examples
Architecture: all
Section: devel
Depends: ${misc:Depends}
Description: Gambas examples
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package provides the examples.

Package: gambas3-gb-chart
Architecture: all
Section: libdevel
Depends: ${misc:Depends}, gambas3-runtime (>= ${binary:Version}), gambas3-gb-gui (>= ${binary:Version}), gambas3-gb-form (>= ${binary:Version})
Description: Gambas charting component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This is a native gambas component to draw charts.
  
Package: gambas3-gb-compress
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${misc:Depends}, ${shlibs:Depends}, gambas3-runtime (>= ${binary:Version})
Description: Gambas compression component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This component have the needed base libraries for the rest of compression 
 components.

Package: gambas3-gb-compress-bzlib2
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, gambas3-runtime (>= ${binary:Version}), gambas3-gb-compress (>= ${binary:Version})
Description: Gambas bzlib2 component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This component allows you to compress/uncompress data or files with
 the bzip2 algorithm.

Package: gambas3-gb-compress-zlib
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, gambas3-runtime (>= ${binary:Version}), gambas3-gb-compress (>= ${binary:Version})
Description: Gambas zlib compression component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This component allows you to compress/uncompress data or files with
 the gzip and PKZIP algorithm.

Package: gambas3-gb-crypt
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, gambas3-runtime (>= ${binary:Version})
Description: Gambas crypt encription component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This component allows one to use the crypt() glib function in gambas.

Package: gambas3-gb-db
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, gambas3-runtime (>= ${binary:Version}), gambas3-gb-form  (>= ${source:Version}), gambas3-gb-qt4-ext (>= ${binary:Version})
Description: Gambas database access common libraries
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This component provides the needed common libraries for data access.

Package: gambas3-gb-db-form
Architecture: all
Section: libdevel
Depends: ${misc:Depends}, gambas3-runtime (>= ${binary:Version}), gambas3-gb-db (>= ${binary:Version}), gambas3-gb-form  (>= ${binary:Version})
Description: Gambas database bound controls
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This is a native gambas component that implements data bound controls.
 It provides the following new controls: DataSource, DataBrowser,
 DataView, DataControl and DataCombo.

Package: gambas3-gb-db-mysql
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, gambas3-runtime (>= ${binary:Version}), gambas3-gb-db (>= ${binary:Version})
Description: MySQL driver for the Gambas database component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This component allows you to access MySQL databases.

Package: gambas3-gb-db-odbc
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, gambas3-runtime (>= ${binary:Version}), gambas3-gb-db (>= ${binary:Version})
Description: ODBC driver for the Gambas database component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This component allows you to access to databases via unixODBC drivers
 from gambas code.

Package: gambas3-gb-db-postgresql
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, gambas3-runtime (>= ${binary:Version}), gambas3-gb-db (>= ${binary:Version})
Description: PostgreSQL driver for the Gambas database component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This component allows you to access PostgreSQL databases.

Package: gambas3-gb-db-sqlite3
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, gambas3-runtime (>= ${binary:Version}), gambas3-gb-db (>= ${binary:Version})
Description: Gambas sqlite3 driver database component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This component allows you to access to sqlite3 databases from gambas code.

Package: gambas3-gb-desktop
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, gambas3-runtime (>= ${binary:Version}), gambas3-gb-form (>= ${source:Version}), xdg-utils
Description: Gambas Portland project compatibility component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This component provides an access to the Portland project 
 (http://portland.freedesktop.org/wiki/) xdg utilities.

Package: gambas3-gb-form
Architecture: all
Section: libdevel
Depends: ${misc:Depends}, gambas3-runtime (>= ${binary:Version}), gambas3-gb-gui (>= ${binary:Version}), gambas3-gb-settings (>= ${binary:Version})
Description: Gambas native form component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This is a native gambas component to serve as base for graphic components. 

Package: gambas3-gb-form-dialog
Architecture: all
Section: libdevel
Depends: ${misc:Depends}, gambas3-runtime (>= ${binary:Version}), gambas3-gb-form (>= ${binary:Version})
Description: Gambas native mdi form component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This is a native gambas component that implements the Workspace control. 

Package: gambas3-gb-form-mdi
Architecture: all
Section: libdevel

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTION

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS = -g
endif


configure:
	dh_autoreconf

config.status: configure

	CFLAGS="$(CFLAGS)" ./configure --host=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE) --build=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE) -C --prefix=/usr --with-sdl-includes=/usr/include/SDL --with-sdl-libraries=/usr/lib --with-libxml-includes=/usr/include/libxml2 --with-xslt-includes=/usr/include/libxslt --disable-gsl
	touch configure-stamp


build: build-arch build-indep

build-arch: build-stamp

build-indep: build-stamp

build-stamp: config.status
	dh_testdir
	$(MAKE) prefix=$(CURDIR)/debian/tmp/usr
	touch build-stamp

clean:

	rm -f build-stamp configure-stamp
	rm -f config.log
	[ ! -f Makefile ] || $(MAKE) distclean
	find . -name ".action" -print0 |xargs -0 rm -Rf
	find . -name ".gambas" -print0 |xargs -0 rm -Rf
	find . -name "*.gambas" -delete
	find . -name "DISABLED" -delete
	find . -name "warnings.log" -delete
	find . -name ".info" -delete
	find . -name ".list" -delete
	find . -name ".startup" -delete
	dh_autoreconf_clean
	dh_clean
	

install: build

	dh_prep
	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
	find $(CURDIR)/debian/tmp/usr -name "*.la" -delete
	find $(CURDIR)/debian/tmp/usr -name *.png -perm /ugo+x -exec chmod 644 \{} \;

binary-indep: build-indep install

	dh_install --sourcedir=debian/tmp -XCOPYING -XLicense -XLicence -i 
	dh_installman debian/gambas3.1 -p gambas3-ide
	dh_link -i
	dh_fixperms -i
	dh_gencontrol -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_lintian -i
	dh_compress -i
	dh_builddeb -i

binary-arch: build-arch install

	dh_install --sourcedir=debian/tmp -a
	dh_installmime -a
	dh_installman debian/gbi3.1 -p gambas3-dev
	dh_installman debian/gbx3.1 -p gambas3-runtime
	dh_installman debian/gbr3.1 -p gambas3-runtime
	dh_installman debian/gba3.1 -p gambas3-dev
	dh_installman debian/gbc3.1 -p gambas3-dev
	dh_installman debian/gbs3.1 -p gambas3-script
	dh_installman debian/gbw3.1 -p gambas3-script
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_installdocs -a
	dh_installchangelogs -a
	dh_lintian -a
	dh_compress -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

## gambas3 3.5.4

=== debian/changelog ===
gambas3 (3.5.4-2ubuntu5) wily; urgency=medium

  * No-change rebuild for libstdc++ ABI changes

 -- Matthias Klose <doko@ubuntu.com>  Sun, 09 Aug 2015 13:46:44 +0000

gambas3 (3.5.4-2ubuntu4) wily; urgency=medium

  * Rebuild with llvm-3.5 - remove this change when upstream supports llvm
    3.6.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 23 Jun 2015 13:20:17 +0100

gambas3 (3.5.4-2ubuntu3) vivid; urgency=medium

  * No-change rebuild for new poppler

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 21 Jan 2015 14:13:15 +0000

gambas3 (3.5.4-2ubuntu2) vivid; urgency=medium

  * No-change rebuild for new poppler

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 12 Nov 2014 15:46:10 +0000

gambas3 (3.5.4-2ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Drop libsqlite0-dev dependency.
      + Drop gambas3-gb-db-sqlite2.

 -- Artur Rona <ari-tczew@ubuntu.com>  Fri, 17 Oct 2014 09:13:52 +0200

gambas3 (3.5.4-2) unstable; urgency=medium

  * Team upload.

  [ Gianfranco Costamagna ]
  * Add fix-llvm-3.5.patch, fixing the llvm-3.5 build failure.
    (Closes: #763238)

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Mon, 13 Oct 2014 10:46:46 +0200

gambas3 (3.5.4-1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable. (LP: #1343154) Remaining changes:
    - Drop libsqlite0-dev dependency.
    - Drop gambas3-gb-db-sqlite2.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 14 Jul 2014 15:07:17 +0200

gambas3 (3.5.4-1) unstable; urgency=medium

  * Team upload.

  [ Gianfranco Costamagna ]
  * New upstream version. (Closes: #752625, #754209)
  * Added Vcs-* fields.
  * Add gambas3-gb-clipper as dependency of gambas3-ide
    (Closes: #749059), thanks to Shane Kerr.
  * Bump compat level to 9.
  * Remove d/p/find_postgresql_headers, addressed upstream.


  [ Pino Toscano ]
  * Adding parallel builds (Closes: #751217).

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Mon, 14 Apr 2014 10:46:46 +0200

gambas3 (3.5.2-2ubuntu2) utopic; urgency=medium

  * No change rebuild for poppler

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 26 May 2014 10:17:45 +0100

gambas3 (3.5.2-2ubuntu1) utopic; urgency=low

  * Merge from Debian unstable (LP: #1295963).  Remaining changes:
    - Drop libsqlite0-dev dependency.
    - Drop gambas3-gb-db-sqlite2.
  * debian/patches/gles_GL_LIGHTING_hack: dropped, merged upstream.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 24 Mar 2014 15:22:27 +0100

gambas3 (3.5.2-2) unstable; urgency=low

  * New upstream version
  * New packages gb.media, gb.logging, gb.desktop.gnome
  * postgresql-server-dev-all needed to compile postgres 
    drivers (Closes: #741789)

 -- Ian Haywood <ian@haywood.id.au>  Wed, 02 Apr 2014 16:23:48 +1100

gambas3 (3.5.2-1) unstable; urgency=low
 
  * New upstream version
  * Fix bug in gb.geom (Closes: #731487)
  * Added SIL font licence to debian/copyright
  * fix permissions on gb.sdl/data/src/_default.bdf

 -- Ian Haywood <ian@haywood.id.au>  Fri, 14 Feb 2014 14:41:15 +1100

gambas3 (3.5.1-1) unstable; urgency=low

  [ José L. Redrejo Rodríguez ]
  * New upstream release.
  * Remove previous Poppler patch, as upstream is updated. Thanks to Pino
    for its help while we were MIA.
  * Removed patch from Sebastian Ramacher as it's not needed with this
    new upstream version. Thanks to him and Dmitrijs Ledkovs for his NMU.
  * debian/control:
    - New gambas3 components.
    - Added new dependencies for the new Gambas3 components.
    - Fixed some build dependencies to match current Debian sid repo.
  * debian/patches/fix_typos (Closes: #690509, #690510)
  * debian/patches/kfreebsd_support (Closes: #710320) . Thanks to 
    Steven Chamberlain.

  [ Ian  Haywood ]
  * Updated debian/copyright.
  * Fixed some grammar errors in the changelog.
  * Added gb.jit and its dependencies.
  * debian/rules: moving to dpkg-buildflags.

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Tue, 03 Sep 2013 12:52:14 +0200

=== debian/control ===
Source: gambas3
Section: devel
Priority: optional
Homepage: http://gambas.sourceforge.net
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gambas Debian Maintainers <pkg-gambas-devel@lists.alioth.debian.org> 
Vcs-Git: git://anonscm.debian.org/pkg-gambas/gambas3.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gambas/gambas3.git
Uploaders: Ian Haywood <ian@haywood.id.au>, David Paleino <dapal@debian.org>, José L. Redrejo Rodríguez <jredrejo@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, libpq-dev, libv4l-dev [linux-any], libv4l-dev [kfreebsd-any], libcam-dev [kfreebsd-any], libmysqlclient-dev, libbz2-dev, libglew-dev, libqt4-dev, libqt4-opengl-dev, libcurl4-openssl-dev, libsdl-mixer1.2-dev, libxml2-dev, libxslt1-dev, kdelibs5-dev, libssl-dev, zlib1g-dev, unixodbc-dev, libsqlite3-dev, libgtk2.0-dev, libxt-dev, pkg-config, mesa-common-dev, libsdl-sound1.2-dev, libsdl-image1.2-dev, libsdl-gfx1.2-dev, libsdl-ttf2.0-dev, libpcre3-dev, libsdl1.2-dev, libjpeg-dev, libpng12-dev, libpoppler-private-dev, libimlib2-dev, librsvg2-dev, bzip2, gettext, libxtst-dev, libffi-dev, libdbus-1-dev, libgnome-keyring-dev, libgtkglext1-dev, linux-libc-dev [linux-any], libc0.1 [kfreebsd-any], libqtwebkit-dev, libgsl0-dev, libncurses5-dev, libtool, libgmime-2.6-dev, llvm-3.5-dev (>> 1:3.1) [amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 s390x sparc], libgmp-dev, libopenal-dev, libalure-dev, libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev, postgresql-server-dev-all
Standards-Version: 3.9.5

Package: gambas3
Architecture: all
Section: devel
Depends: ${misc:Depends}, gambas3-gb-cairo (>= ${binary:Version}), gambas3-gb-clipper (>= ${binary:Version}), gambas3-gb-dbus (>= ${binary:Version}), gambas3-examples (>= ${binary:Version}), gambas3-gb-form-stock (>= ${binary:Version}), gambas3-gb-chart (>= ${binary:Version}), gambas3-gb-compress-bzlib2 (>= ${binary:Version}), gambas3-gb-compress-zlib (>= ${binary:Version}), gambas3-gb-crypt (>= ${binary:Version}), gambas3-gb-db-form (>= ${binary:Version}), gambas3-gb-db-mysql (>= ${binary:Version}), gambas3-gb-db-postgresql (>= ${binary:Version}), gambas3-gb-db-odbc (>= ${binary:Version}), gambas3-gb-db-sqlite3 (>= ${binary:Version}), gambas3-gb-desktop (>= ${binary:Version}), gambas3-gb-form-dialog (>= ${binary:Version}), gambas3-gb-form-mdi (>= ${binary:Version}), gambas3-gb-gmp (>= ${binary:Version}), gambas3-gb-gui-opengl (>= ${binary:Version}), gambas3-gb-image-effect (>= ${binary:Version}), gambas3-gb-image-imlib (>= ${binary:Version}), gambas3-gb-image-io (>= ${binary:Version}), gambas3-gb-net-curl (>= ${binary:Version}), gambas3-gb-net-smtp (>= ${binary:Version}), gambas3-gb-net-pop3 (>= ${binary:Version}), gambas3-gb-openal (>= ${binary:Version}), gambas3-gb-opengl-glsl (>= ${binary:Version}), gambas3-gb-opengl-glu (>= ${binary:Version}), gambas3-gb-opengl-sge (>= ${binary:Version}), gambas3-gb-openssl (>= ${binary:Version}), gambas3-gb-pcre (>= ${binary:Version}), gambas3-gb-pdf (>= ${binary:Version}), gambas3-gb-qt4-ext (>= ${binary:Version}), gambas3-gb-qt4-webkit (>= ${binary:Version}), gambas3-gb-report (>= ${binary:Version}), gambas3-gb-sdl-sound (>= ${binary:Version}), gambas3-gb-settings (>= ${binary:Version}), gambas3-gb-vb, gambas3-gb-v4l (>= ${binary:Version}), gambas3-gb-web, gambas3-gb-xml-rpc (>= ${binary:Version}), gambas3-gb-xml-xslt (>= ${binary:Version}), gambas3-gb-xml-html (>= ${binary:Version}), gambas3-gb-libxml (>= ${binary:Version}), gambas3-ide (>= ${binary:Version}), gambas3-gb-mysql (>= ${binary:Version}), gambas3-gb-option (>= ${binary:Version}), gambas3-gb-gsl (>= ${binary:Version}), gambas3-gb-ncurses (>= ${binary:Version}), gambas3-gb-complex (>= ${binary:Version}), gambas3-gb-data (>= ${binary:Version}), gambas3-gb-mime (>= ${binary:Version}), gambas3-gb-httpd (>= ${binary:Version}), gambas3-gb-memcached (>= ${binary:Version}), gambas3-gb-args (>= ${binary:Version}), gambas3-gb-map (>= ${binary:Version}), gambas3-gb-jit (>= ${binary:Version}), gambas3-gb-desktop-gnome (>= ${binary:Version}), gambas3-gb-media (>= ${binary:Version}), gambas3-gb-logging (>= ${binary:Version})
Description: Complete visual development environment for Gambas
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 With Gambas, you can quickly design your program GUI, access MySQL or
 PostgreSQL databases, pilot KDE applications with DCOP, translate your
 program into many languages, and so on...
 .
 This package doesn't include anything: it is a metapackage to install the
 IDE and all the available Gambas components...

Package: gambas3-dev
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}, gambas3-runtime (>= ${binary:Version})
Description: Gambas compilation tools
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package includes the Gambas compiler, archiver and informer.

Package: gambas3-gb-cairo
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}, gambas3-gb-image (>= ${binary:Version})
Description: Gambas bindings for cairo
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package includes Gambas bindings for cairo.


Package: gambas3-gb-clipper
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Gambas Clipper component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package includes a component based on the Clipper library,
 http://www.angusj.com/delphi/clipper.php


Package: gambas3-gb-dbus
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}, gambas3-runtime (>= ${binary:Version})
Description: Gambas bindings for DBUS
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package includes Gambas bindings for the DBUS system.

Package: gambas3-gb-form-stock
Architecture: all
Section: devel
Depends: ${misc:Depends}, gambas3-gb-form (>= ${binary:Version}), gambas3-runtime (>= ${binary:Version})
Description: Gambas form stock icons
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package includes support for stock form icons.

Package: gambas3-gb-gmp
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Gambas GMP component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package provides an interface to the GNU Multiple Precision Arithmetic
 Library.

Package: gambas3-examples
Architecture: all
Section: devel
Depends: ${misc:Depends}, gambas3-runtime
Description: Gambas examples
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package provides the examples.

Package: gambas3-gb-chart
Architecture: all
Section: libdevel
Depends: ${misc:Depends}, gambas3-runtime (>= ${binary:Version}), gambas3-gb-gui (>= ${binary:Version}), gambas3-gb-form (>= ${binary:Version})
Description: Gambas charting component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This is a native Gambas component to draw charts.

Package: gambas3-gb-compress
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${misc:Depends}, ${shlibs:Depends}, gambas3-runtime (>= ${binary:Version})
Description: Gambas compression component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package has the needed base libraries for the other compression
 components.

Package: gambas3-gb-compress-bzlib2
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, gambas3-gb-compress (>= ${binary:Version})
Description: Gambas bzlib2 component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package allows you to compress/uncompress data or files with
 the bzip2 algorithm.

Package: gambas3-gb-compress-zlib
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, gambas3-gb-compress (>= ${binary:Version})
Description: Gambas zlib compression component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package allows you to compress/uncompress data or files with
 the gzip and PKZIP algorithm.

Package: gambas3-gb-crypt
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, gambas3-runtime (>= ${binary:Version})
Description: Gambas crypt encription component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package allows one to use the crypt() glib function in gambas.

Package: gambas3-gb-db
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, gambas3-gb-form (>= ${source:Version}), gambas3-gb-qt4-ext (>= ${binary:Version}), gambas3-runtime
Description: Gambas database access common libraries
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package provides the needed common libraries for data access.

Package: gambas3-gb-db-form
Architecture: all
Section: libdevel
Depends: ${misc:Depends}, gambas3-runtime (>= ${binary:Version}), gambas3-gb-db (>= ${binary:Version}), gambas3-gb-form (>= ${binary:Version})
Description: Gambas database bound controls
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This is a native Gambas component that implements data bound controls.
 It provides the following new controls: DataSource, DataBrowser,
 DataView, DataControl and DataCombo.

Package: gambas3-gb-db-mysql
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, gambas3-gb-db (>= ${binary:Version})
Description: MySQL driver for the Gambas database
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package allows you to access MySQL databases.

Package: gambas3-gb-db-odbc
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, gambas3-gb-db (>= ${binary:Version})
Description: ODBC driver for the Gambas database
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package allows you to access to databases via unixODBC drivers
 from Gambas code.

Package: gambas3-gb-db-postgresql
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, gambas3-gb-db (>= ${binary:Version})
Description: PostgreSQL driver for the Gambas database
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package allows you to access PostgreSQL databases.

Package: gambas3-gb-db-sqlite3
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, gambas3-gb-db (>= ${binary:Version})

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTION
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NJOBS := -j $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif


configure:
	dh_autoreconf

config.status: configure

	CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" CXXFLAGS="$(CXXFLAGS)" LLVM_CONFIG=/usr/bin/llvm-config ./configure --host=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE) --build=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE) -C --prefix=/usr --with-sdl-includes=/usr/include/SDL --with-sdl-libraries=/usr/lib --with-libxml-includes=/usr/include/libxml2 --with-xslt-includes=/usr/include/libxslt LLVM_CONFIG=/usr/bin/llvm-config-3.5
	touch configure-stamp


build: build-arch build-indep

build-arch: build-stamp

build-indep: build-stamp

build-stamp: config.status
	dh_testdir
	$(MAKE) $(NJOBS) prefix=$(CURDIR)/debian/tmp/usr
	touch build-stamp

clean:

	rm -f build-stamp configure-stamp
	rm -f config.log
	[ ! -f Makefile ] || $(MAKE) distclean
	find . -name ".action" -print0 |xargs -0 rm -Rf
	find . -name ".gambas" -print0 |xargs -0 rm -Rf
	find . -name "*.gambas" -delete
	find . -name "DISABLED" -delete
	find . -name "DISABLED.gb*" -delete
	find . -name "warnings.log" -delete
	find . -name ".info" -delete
	find . -name ".list" -delete
	find . -name ".startup" -delete
	rm -f gb.media/src/Makefile
	rm -f gb.media/DISABLED.gb.media
	dh_autoreconf_clean
	dh_clean
	

install: build

	dh_prep
	XDG_UTILS_INSTALL_MODE=user $(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
	find $(CURDIR)/debian/tmp/usr -name "*.la" -delete
	find $(CURDIR)/debian/tmp/usr -name *.png -perm /ugo+x -exec chmod 644 \{} \;
	chmod 644 $(CURDIR)/debian/tmp/usr/share/gambas3/gb.sdl/_default.bdf
 
binary-indep: build-indep install

	dh_install --sourcedir=debian/tmp -XCOPYING -XLicense -XLicence -i 
	dh_installman debian/gambas3.1 -p gambas3-ide
	dh_installman debian/gbs3.1 -p gambas3-script
	dh_installman debian/gbw3.1 -p gambas3-script
	dh_link -i
	dh_fixperms -i
	dh_gencontrol -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_lintian -i
	dh_compress -i
	dh_builddeb -i

binary-arch: build-arch install

	dh_install --sourcedir=debian/tmp -a
	dh_installmime -a
	dh_installman debian/gbi3.1 -p gambas3-dev
	dh_installman debian/gbx3.1 -p gambas3-runtime
	dh_installman debian/gbr3.1 -p gambas3-runtime
	dh_installman debian/gba3.1 -p gambas3-dev
	dh_installman debian/gbc3.1 -p gambas3-dev

	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_shlibdeps -a --dpkg-shlibdeps-params=--ignore-missing-info
	dh_gencontrol -a
	dh_installdocs -a
	dh_installchangelogs -a
	dh_lintian -a
	dh_compress -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install
